package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingBuygiftActivityDeleteRequest struct {
	/*
	   删除活动参数     */
	Param *domain.AlibabaRetailMarketingBuygiftActivityDeleteItemDiscountActivityOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingBuygiftActivityDeleteRequest) SetParam(v domain.AlibabaRetailMarketingBuygiftActivityDeleteItemDiscountActivityOperateRequest) *AlibabaRetailMarketingBuygiftActivityDeleteRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingBuygiftActivityDeleteRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingBuygiftActivityDeleteRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
